.page-footer {
    padding: 65px 0;
    background: var(--true-black);
}

.page-footer ul,
.page-footer ul li {
    padding: 0;
    margin: 0;
}

.page-footer ul li:before {
    display: none;
}

.footer-logo {
    margin: 0 auto 12px;
    display: table;
}

.footer-logo a {
    display: block;
    border: none;
}

.footer-social {
    margin: 0 0 35px;
}

.footer-social ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

.footer-social ul li a {
    width: 40px;
    height: 40px;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: radial-gradient(55% 55% at 26% 67%, #2A876C 0%, #157F99 100%);
    font-size: 25px;
    color: var(--white);
    border: none;
}

.footer__top__links ul {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    align-items: center;
}

.footer__top__links ul li a {
    font-size: 20px;
    line-height: 1em;
    display: block;
    font-weight: 700;
    color: var(--white);
    text-transform: capitalize;
    border: none;
}

.footer__top__info {
    margin: 35px 0 0;
}

.footer__top__info .btn {
    width: 100%;
    text-align: center;
    margin: 0 0 12px;
}

.footer__top__info ul li a {
    color: var(--white);
    width: 100%;
    display: block;
    text-align: center;
    font-size: 20px;
    font-weight: 700;
    border: 3px solid var(--green);
    border-radius: 6px;
    text-transform: initial;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    line-height: 1em;
    padding: 0;
    height: 48px;
}

.footer__top__info ul li a i {
    font-size: 24px;
    color: var(--teal);
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer__top__info ul {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.footer__top__address ul {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.footer__top__address ul li a {
    color: var(--white);
    width: 100%;
    display: block;
    text-align: center;
    font-size: 20px;
    font-weight: 700;
    border-radius: 6px;
    text-transform: capitalize;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 8px;
    border: none;
    line-height: 1.6em;
}

.footer__top__address ul li a i {
    font-size: 22px;
    color: var(--teal);
    position: relative;
    top: 5px;
}

.footer__top__address {
    margin: 30px 0 0;
}

.footer__top__address .btn {
    margin: 12px auto 0;
    color: var(--white);
    display: flex;
    padding: 6px 21px;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: max-content;
    background: none;
}

.footer__top__address .btn:hover::after {
    content: none;
}

.footer__top__address .btn::before {
    display: none;
}


.footer__top__address .btn i {
    font-size: 16px;
    color: var(--teal);
}

.footer__bottom ul {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 15px;
}

.footer__bottom ul li,
.footer__bottom ul li a {
    color: var(--white);
    display: block;
    text-align: center;
    font-size: 14px;
    font-weight: normal;
    font-weight: normal;
    text-transform: uppercase;
    line-height: 1em;
    border: none;
}

.footer__bottom {
    margin: 35px 0 0;
}

.back-to-top a {
    color: var(--white);
    width: max-content;
    display: block;
    text-align: center;
    font-size: 20px;
    font-weight: 700;
    border: 3px solid var(--green);
    border-radius: 6px;
    text-transform: capitalize;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    line-height: 1em;
    padding: 0;
    height: 48px;
    padding: 0 24px;
    margin: 35px auto 0;
}

.back-to-top a i {
    font-size: 15px;
    color: var(--teal);
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer__top__info ul li a+a {
    margin-top: 12px;
}

.bg-darkest-navy + .page-footer {
    padding-top: 0;
    margin-top: var(--section-margins-half);
}

@media(min-width: 768px) {
    .footer__top__links ul {
        flex-direction: row;
        gap: 25px;
    }

    .footer__top__info ul li a {
        text-align: left;
        font-weight: 700;
        border: none;
        justify-content: flex-start;
        height: unset;
    }

    .footer__top {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        flex-wrap: wrap;
    }

    .footer__top__left {
        width: 100%;
    }

    .footer__top__links {
        width: 100%;
    }

    .footer__top__address .btn {
        margin: 12px 0 0 auto;
        border: none;
        padding: 0;
        font-size: 20px;
        width: max-content;
    }

    .footer__top__info {
        margin: 50px 0 0;
    }

    .footer__top__address {
        margin: 50px 0 0;
        padding-right: 43px;
    }

    .footer__bottom ul {
        justify-content: flex-start;
        flex-direction: row;
        gap: 30px;
    }

    .footer__bottom {
        margin: 45px 0 0;
    }

    .back-to-top a {
        margin: 45px auto 0;
    }

    .footer__top__info ul {
        gap: 25px;
    }

    .page-footer {
        padding: 50px 0;
    }
}


@media(min-width: 1200px) {
    .page-footer {
        padding: 0 0 70px;
        background: transparent;
    }

    .footer__top__links {
        width: auto;
    }

    .footer__top__links ul {
        flex-direction: column;
        gap: 15px;
        align-items: flex-start;
    }

    .footer__top__left {
        width: auto;
    }

    .footer-wrapper {
        background: var(--true-black);
        border-radius: 12px;
        padding: 60px 106px 75px 33px;
        position: relative;
        z-index: 1;
        overflow: hidden;
    }

    .footer-wrapper:after {
        content: '';
        position: absolute;
        left: -274px;
        bottom: -243px;
        width: 525px;
        height: 525px;
        border-radius: 50%;
        background: radial-gradient(50% 50% at 50% 50%, #04596E 0%, #152630 100%);
        z-index: -1;
    }

    .footer-wrapper:before {
        content: '';
        position: absolute;
        right: -163px;
        top: -258px;
        border-radius: 50%;
        z-index: -1;
        width: 460px;
        height: 460px;
        background: radial-gradient(50% 50% at 50% 50%, #14614B 0%, #152630 100%);
    }

    .footer__bottom {
        margin: 35px 0 0;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .footer__top__info {
        margin: 0;
    }

    .footer__top__address {
        margin: 0;
        padding-right: 0;
    }

    .footer-social {
        margin: 0;
    }

    .back-to-top a {
        font-size: 22px;
        height: 62px;
        margin: 0;
        padding: 0 28px;
    }

    .footer__bottom ul li,
    .footer__bottom ul li a {
        font-size: 16px;   
    }

    .footer__bottom ul {
        gap: 25px;
    }

    .footer-social ul {
        justify-content: flex-start;
    }

    .footer-social ul li a:hover {
        background: var(--green);
        color: var(--white);
    }

    .footer__top__info ul li a:hover,
    .footer__top__address ul li a:hover,
    .footer__top__address .btn:hover,
    .footer__top__links ul li a:hover {
        color: var(--teal);
    }

    .back-to-top a:hover {
        background: var(--green);
        color: var(--white);
    }

    .back-to-top a:hover i {
        color: var(--white);
    }

    .footer__bottom ul li a:hover{
        color: var(--teal);
    }
    .page-footer {
        margin: 100px 0 0;
    }
}

@media(min-width: 1600px) {
    .footer-wrapper {
        padding: 60px 155px 75px 155px;
    }

    .footer__bottom ul {
        gap: 50px;
    }

    .footer__bottom {
        align-items: flex-end;
    }

    .page-footer {
        padding: 0 0 60px;
    }

    .footer-wrapper:after {
        left: -295px;
        bottom: -238px;
        width: 702px;
        height: 702px;
    }

    .footer-wrapper:before {
        right: -168px;
        top: -215px;
    }

    .page-footer {
        margin: 125px 0 0;
    }
}